petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscPartitionerShellSetPartition

Set an artifical partition for a mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerShellSetPartition(PetscPartitioner part, PetscInt numProcs, const PetscInt sizes[], const PetscInt points[])

Collective on PART

### Input Parameters

| part | - The PetscPartitioner
| numProcs | - The number of partitions
| sizes | - array of size numProcs (or NULL) providing the number of points in each partition
| points | - array of size sum(sizes) (may be NULL iff sizes is NULL) providing the partition each point belongs to

### Notes

It is safe to free the sizes and points arrays after use in this routine.

### See Also

DMPlexDistribute(), PetscPartitionerCreate()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html